API reference
All operations
INSPECTION

Pre-registers a batch of images that will be uploaded for an inspection.

POST/api/v2/inspections/record/images/register

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Parameters

assignedInspectionIdqueryinteger · int32

The ID of the assigned inspection these images belong to.

Request body

application/jsonrequired

The registration request containing details of images to be uploaded.

RegisterImagesRequest
  • assignedInspectionIdinteger · int32

Responses

Images registered successfully with upload details.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataRegisteredImage[]

An array. Each item is a RegisteredImage:

  • mobileImageIdstring
  • assignedItemIdinteger · int32
  • uploadUrlstring